# -*- coding: utf8 -*-
import link, os, config, re
from datetime import datetime

class Body:
	def __init__(self, site, page):
		self.site=site
		self.a=link.Link(site)
		self.datadir=config.datadir
		self.part=page
		
	def menu(self):
		print (self.a.link(self.a.first(), '&ofcir; první'))
		print (self.a.link(self.a.delta('+w'), '&ltrif;&ltrif; týden'))
		print (self.a.link(self.a.delta('+d'), '&vltri;&vltri; den'))
		print (self.a.link(self.a.delta('+h'), '&vltri; hodina'))
		print (self.a.link(self.a.delta('+m'), '&LeftTriangleBar; předchozí'))
		print (self.a.link(self.a.delta('-m'), 'následující &RightTriangleBar;'))
		print (self.a.link(self.a.delta('-h'), 'hodina &vrtri;'))
		print (self.a.link(self.a.delta('-d'), 'den &vrtri;&vrtri;'))
		print (self.a.link(self.a.delta('-w'), 'týden &rtrif;&rtrif;'))
		print ("<a href=\"?f=latest\">poslední &ofcir;</a>")
	
	def articles(self):
		print ("<header>")
		print ("<h1>Hnízdo</h1>")
		print ("<nav>")
		self.menu()
		print ("</nav>")
		print ("</header>")
		print ("<article id=\"prev\">")
		print (self.a.imglink(self.a.delta('+m'), '180', 'prev'))
		print ("<p>"+self.a.timestamp(self.a.delta('+m'))+"</p>")
		print ("</article>")
		print ("<article id=\"now\">")
		print (self.a.imglink(self.a.img, '440', 'now'))
		print ("<p>"+self.a.timestamp(self.a.img)+"</p>")
		print ("<p>"+self.a.full(self.a.img, 'plná velikost')+"</p>")
		print ("</article>")
		print ("<article id=\"next\">")
		print (self.a.imglink(self.a.delta('-m'), '180', 'next'))
		print ("<p>"+self.a.timestamp(self.a.delta('-m'))+"</p>")
		print ("</article>")
		print ("<footer>")
		print ("<a href=\"?f=index\" title=\"všechny fotky\">vše</a>")
		print ("</footer>")
	
	def index(self, page):
		index=os.listdir(os.path.realpath(self.datadir))
		remove=("latest.jpeg", "notfound.jpeg")
		#print index
		for p in index[:]:
			if re.match("[0-9]{12}-(180|440).jpeg", p):
				index.remove(p)
		for r in remove:
			index.remove(r)
		#print index
		index.sort()
		#print index
		count=len(index)
		pnum=count/config.pagination+1
		if int(page) > int(pnum):
			page=pnum-1
		#print pnum
		rngend=(int(page)+1)*config.pagination-1
		#print rngend
		rngstart=rngend-(config.pagination-1)
		#print rngstart
		print ("<header>")
		print ("<h1>Hnízdo - Index</h1>")
		print ("</header>")
		print ("<nav>")
		a = 0
		while a < pnum:
			print("<a href=\"?f=index&p="+str(a)+"\">"+str(a+1)+"</a>")
			a = a + 1
		print ("</nav>")
		print ("<ul>")
		f = rngstart
		while f <= rngend and f <= count-1:
			#print f
			print("<li>")
			print(self.a.imglink(index[f][:12], "180"))
			print("<p>"+self.a.link(index[f][:12], self.a.timestamp(index[f][:12]))+"</p>")
			print("</li>")
			f = f + 1
		print ("</ul>")
		print ("<nav>")
		a = 0
		while a < pnum:
			print("<a href=\"?f=index&p="+str(a)+"\">"+str(a+1)+"</a>")
			a = a + 1
		print ("</nav>")
		print ("<footer><a href=\"?f=latest\">úvod</a></footer>")
		
	def page(self):
		if self.site == "index":
			self.index(self.part)
		else:
			self.articles()
